require_relative 'lib/rails/middleware_timer/version'

Gem::Specification.new do |s|
  s.name = 'rails-middleware_timer'
  s.version = Rails::MiddlewareTimer::VERSION
  s.date = '2016-12-15'
  s.summary = 'Simple Rails middleware benchmarking'
  s.description = "Time the 'call' method of the middleware classes used by Rails."
  s.authors = ['Syed Humza Shah']
  s.email = 'humzashah+github@gmail.com'
  s.homepage = 'https://github.com/humzashah/rails-middleware_timer'
  s.license = 'MIT'

  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.require_paths = ['lib']

  s.required_ruby_version = '>= 2.2'

  s.add_runtime_dependency 'rails', '>= 4.0'
  s.add_development_dependency 'bundler', '>= 1.8'
  s.add_development_dependency 'rake', '>= 12.0'
end
